Package cx.ath.matthew.debug

# Interface Debug.FilterCommand

Enclosing class:
  `Debug`

public static interface Debug.FilterCommand
This interface can be used to provide custom printing filters for certain classes.

## Method Summary

Modifier and Type
Method
Description
`void`
`filter(PrintStream output, int level, String location, String extra, String message, String[] lines)`
Called to print debug messages with a custom filter.

## Method Details

### filter

void filter(PrintStream output, int level, String location, String extra, String message, String[] lines)
Called to print debug messages with a custom filter.

Parameters:
  `output` - The PrintStream to output to.
  `level` - The debug level of this message.
  `location` - The textual location of the message.
  `extra` - Extra information such as timing details.
  `message` - The debug message.
  `lines` - Other lines of a multiple-line debug message.